Precise Puppy 5.2.71 no-PAE (beta4)

I have created "beta4", with these features:
http://distro.ibiblio.org/quirky/test/precise-5.2.71-nopae/precise-5.2.71-readme.htm

Download:
http://distro.ibiblio.org/quirky/test/precise-5.2.71-nopae/

There are no delta-files, due to this build using gzip. As earlier builds use xz compression, the delta files are actually bigger than the original files!

I will now do another build, with the PAE-enabled kernel and Radeon-KMS enabled. Also the SFS xz'ed for smaller size.

Basically, the "no-pae" build will suit older hardware, also (probably) older Radeon video cards. But, it will be interesting to try both, if you have ATI/Radeon video (and CPU can handle PAE, which is most of them, even older i686).

Note, do not re-use the same save-file when testing the next pae-enabled build, they are incompatible.

Another note: beta3 reports, some issues with printing. I did upgrade cups from 1.3.11 to 1.4.8, relative to beta2, so maybe some problems got introduced? I don't have access to a printer right now, can't test.

Woof commit of version used for this build:
http://bkhome.org/fossil/woof2.cgi/info/5103776349c

...however, /etc/DISTRO_SPECS needs to have the appropriate kernel PET selected:

DISTRO_KERNEL_PET='linux_kernel-3.2.28-nopae-i686-aufs-up.pet'


Posted on 29 Aug 2012, 16:04


Comments:

Posted on 29 Aug 2012, 16:17 by BarryK
beta4 Forum feedback
Feedback for 5.2.71 (beta4) starts on page 25 of this Forum thread:

http://murga-linux.com/puppy/viewtopic.php?p=649292#649292



Posted on 29 Aug 2012, 16:25 by mavrothal
Woof versioning
Looking at the puppies currently in development, I would think that they are confusing with their numbering. They are all 5.x.x but Precise 5.2.x is "newer" that Wary/Racy/Slacko 5.3.x.

What about adding a woof_version to Woof2 in the form of 1.2.3 (Maj.Min.Rev), and update it whenever you feel that significant/some progress has been made. This can be then passed to the puppies at built time.
If needed, between version the first/last 2 characters of the last commit could be used in addition to the "Rev" number. Something like Precise Puppy 5.5.4-9c (for beta4).

Then woof-based puppies can follow this numbering so their "age" and differences from other puppies, could be readily identified.

If this is deemed too complicated then at least the woof version could be saved in /etc/woof_verstion or DISTRO_SPECS to serve (indirectly) this purpose.



Posted on 29 Aug 2012, 18:04 by BarryK
Re versions
The version numbering of the Precise betas doesn't mean anything.

I was thinking of releasing the final as 5.4.



Posted on 29 Aug 2012, 22:21 by Sage
5.2.71
Bit on the large size .iso, almost brings into play a bunch of compact distro competitors!
Somewhere you asked to test CUPS. Have done with my HP-PSC2179. Driver with a close number worked first ask. Set-up is under Administration, not as stated. No P/W were required.


Posted on 29 Aug 2012, 22:45 by Sage
The place to be...
...is Perth!
http://www.bbc.co.uk/news/world-asia-19222037


Posted on 29 Aug 2012, 22:55 by broomdodger
precise5271-nopae black screen
precise5271-nopae frugal
ibm thinkpad x30

boot to desktop with no precisesave file

black screen, no desktop when boot with precisesave

Bill



Posted on 29 Aug 2012, 22:58 by Sage
5.2.71 PS
Used an old Radeon 7000/64Mb off DVI - no issues.
Boot up was a bit faster as advertised.


Posted on 30 Aug 2012, 19:06 by peebee
no-pae kernel sources?
Hi Barry
Do you have a version of kernel sources for the non-pae kernel?
I've looked on your kernel pages and there isn't one there....
I've tried to compile a driver and it won't load due to a symbol mismatch which suggests that different kernel sources are needed.
Thanks
peebee


Posted on 30 Aug 2012, 23:37 by BarryK
re no-pae sources
peebee,
I guess that you want the source SFS file. Uploaded here:

http://bkhome.org/sources/kernel-3.2.28/no-pae/



Posted on 31 Aug 2012, 2:44 by peebee
Source sfs error
I think the kernel source sfs for the non-pae 71 version is corrupt - see attached screenie - seem to be broken links pointing to directories on your computer.....

I checked the md5sum is correct BTW.

Thanks
PeeBee




Posted on 31 Aug 2012, 6:52 by BarryK
Re SFS broken links
Ok, I will have to fix those links and re-upload the 3.2.28 no-pae SFS.

You can manually fix them and use the current SFS.

The problem has occurred as I compiled the kernel in a frugal installation, with /usr/src a symlink into a hard drive partition.



Posted on 31 Aug 2012, 7:07 by 01micko
re version
Well... since Precise is a major upgrade why not puppy 6?

Wary/Racy are LTS (?) so they could stick with 5X for now.

Slacko will be a major update too, a few weeks after Precise I reckon.

Another 2c


Posted on 31 Aug 2012, 7:33 by 01micko
re kernel source
Yeah, in a frugal instance you got to use relative paths when linking. Minor oversight I guess.

I have improved on Iguleder's "kernel-kit" making it possible for anyone with minimal commandline ability to compile a kernel from a frugal or full install.
http://www.murga-linux.com/puppy/viewtopic.php?p=645979#645979

It may give you some ideas on improving your scripts, or not! I know a couple of the guys have been using it.

I want to build up a library of DOTconfigs (any DOTconfig is selectable in the script from a small library that's in the kit) and devise a script for switching kernels. That way any user can live on the bleeding edge or downgrade the kernel to a known good version with their hardware.

NOTE: there is a potential bug with my script I just noticed. There is no space where I create the links for build and source! I am guessing it doesn't bug because there must be a line ending char or carriage return in the variable simulating whitespace. I'll fix that soon.


Posted on 31 Aug 2012, 23:36 by IvanKuzev
GParted in beta 4
when i run gparted and want to resize an ntfs partition, i get an exclamation "!" mark next to paririon name.
it says that some module is missing...
so i did go in PPM and look for it.
"ntfsprogs" is already installed.
but it doesnt work.and its just a transitional package to "ntfs_3g"
so i reinstall "ntfs_3g" from ppm.and its fixed.
oh and this was in beta3 too.dont know from when.


Posted on 32 Aug 2012, 6:24 by BarryK
Re ntfs
IvanKuzev,
Thanks for that, I have fixed the ntfs-3g template in Woof, also the package-list for Precise.



Posted on 32 Aug 2012, 8:36 by Ted Dog
August 32? once in a blue moon
I know its a blue moon tonight but really 32 days in Aug. See time/date in last post

32 Aug 2012, 6:24 by BarryK





Posted on 1 Sep 2012, 15:16 by BarryK
Re 32 August
A kind soul provided a patch for my Perl script sometime ago to fix that, which I applied.
Hmmm, it is still broken.



Posted on 1 Sep 2012, 18:46 by IvanKuzev
header packages
in PPM there are already installed packages named
linux_headers-3.2.13
linux_kernel-3.2.13-pae-i686-up

looking for kernel pet(non pae) for woof.


Posted on 1 Sep 2012, 21:16 by BarryK
Re kernel PETs
Look in the 'common' repo, pet_packages-common on ibiblio.



Posted on 2 Sep 2012, 20:05 by IvanKuzev
ayttm
ayttm'b bug and something like thats.
actions button doesnt work
.accounts list doesnt show anything
.no list with channels to connect on start.
.the online,contacts,accounts radio button doesnt seem to do anything

i really liked 'xchat'

thanx for the great distro.


Posted on 3 Sep 2012, 5:20 by vicmz
ayttm vs. pidgin
Ayttm is too old (it's been two years since the last update, maybe it's discontinued?) and a bit unstable. IMHO It'd be better to have pidgin out of the box, or at least to have a newer version available through PPM. For example, Makoto has compiled pidgin 2.10.6 and put download links here:

http://murga-linux.com/puppy/viewtopic.php?p=638864#638864

The dependencies are available here (from dejan555's site):

libgcrypt-1.4.6-i486-431.pet
libgpg-error-1.10-i486-431.pet
libtasn1-2.9-i486-431.pet
gnutls-2.10.5-i486-431.pet